--- main/manager.c.orig	2009-12-20 16:03:08.000000000 -0500
+++ main/manager.c	2009-12-20 17:01:47.000000000 -0500
@@ -450,20 +450,23 @@
 {
 	const char *p;
 
-	if (ast_strlen_zero(string))
+	if (ast_strlen_zero(string)) {
 		return -1;
+	}
 
 	for (p = string; *p; p++)
 		if (*p < '0' || *p > '9')
 			break;
-	if (!p)	/* all digits */
+	if (!p) { /* all digits */ 
 		return atoi(string);
+	}
 	if (ast_false(string))
 		return 0;
 	if (ast_true(string)) {	/* all permissions */
 		int x, ret = 0;
-		for (x = 0; x < ARRAY_LEN(perms); x++)
+		for (x = 0; x < ARRAY_LEN(perms); x++) {
 			ret |= perms[x].num;
+		}
 		return ret;
 	}
 	return get_perm(string);
@@ -1700,12 +1703,13 @@
 	int res;
 
 	res = set_eventmask(s, mask);
-	if (res > 0)
+	if (res == 0) {
 		astman_append(s, "Response: Success\r\n"
-				 "Events: On\r\n");
-	else if (res == 0)
+				 "Events: Off\r\n\r\n");
+	} else if (res > 0 || res == -1) {  /* any or all events */
 		astman_append(s, "Response: Success\r\n"
-				 "Events: Off\r\n");
+				 "Events: On\r\n\r\n");
+	} 
 	return 0;
 }
 
